$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.25.12-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.25.12-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '64AD02B6F903824F515ADC3D0336C0A7E1D256C9ADD88B636E5F98D0C5F851EB'
  checksumType = 'sha256'
  checksum64 = '64AD02B6F903824F515ADC3D0336C0A7E1D256C9ADD88B636E5F98D0C5F851EB'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.25.12-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
